RuntimeInfrastructure mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 This type is safe for multithreaded operations. System.ValueType System.Runtime.Serialization.ISerializable System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(true)

An implementation-specific type that is used to represent a pointer or a handle.

The type is designed to be an implementation-sized pointer. An instance of this type is expected to be the size of a for the current implementation.

For more information on the type, see Partition II of the CLI Specification.

instances can also be used to hold handles.

The type is CLS-compliant while the type is not. The type is provided mostly to maintain architectural symmetry with the type.

- Constructor
  A containing a pointer or handle.

  Constructs a new structure using the specified containing a pointer or a handle.

  To be added.
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  A containing a pointer or a handle.

  Constructs a new structure using the specified containing a pointer or a handle.

  To be added.
  The current platform is a 32-bit platform and the value of the current instance is greater than .
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  System.CLSCompliant(false)
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  4.0.0.0
  System.UIntPtr `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` The to compare to the current instance. To be added.

  Determines whether the current instance and the specified represent the same type and value.

  if is a instance and has the same value as the current instance. If is a null reference or is not an instance of , returns .

  The method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32

  Generates a hash code for the current instance.

  A containing the hash code for the current instance.

  The algorithm used to generate the hash code is unspecified.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  4.0.0.0
  System.UIntPtr `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` `` The first to compare for equality. The second to compare for equality. To be added.

  Determines whether the two specified instances of represent the same value.

  if represents the same value as ; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UIntPtr `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UIntPtr `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UInt32 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UInt64 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void* `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UIntPtr `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Boolean `` `` The first to compare for inequality. The second to compare for inequality. To be added.

  Determines whether two specified instances of represent different values.

  if represents a different value than ; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  4.0.0.0
  System.UIntPtr `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  System.Int32 4

  Gets the size in bytes of a pointer or a handle for the current implementation.

  A containing the number of bytes of a pointer or handle for the current implementation. The value of this property is equal to the number of bytes contained by the type in the current implementation.

  This property is read-only.

  For more information on the type, see Partition II of the CLI Specification.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  4.0.0.0
  System.UIntPtr `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void*

  Converts the value of the current instance to a pointer to .

  A pointer to .

  A pointer to points to memory containing data of an unspecified type.

  This method is not CLS-compliant. For a CLS-compliant alternative use .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
- Method
  System.String

  Returns a representation of the value of the current instance.

  A representation of the current instance.

  If for the current instance is 4, is equivalent to (); otherwise, this method is equivalent to().

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.UInt32

  Converts the value of the current instance to a .

  A containing the same value as the current instance.

  To be added. The current platform is not a 32-bit platform and the value of the current instance is greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UInt64

  Converts the value of the current instance to a .

  A containing the same value as the current instance.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.UIntPtr 0

  Represents a pointer or handle that has been initialized as zero.

  The value of this field is not , but is instead a pointer which has been assigned the value zero. Use this field to efficiently determine whether an instance of has been set to a value other than zero. For example, if is a instance, using is more efficient than to test if has been set to a value other than zero.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
0